<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.JobUiDelegate</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>JobUiDelegate Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="../kdeui/KDialogJobUiDelegate.html">KDialogJobUiDelegate</a> &#x2192; <a href="../kdecore/KJobUiDelegate.html">KJobUiDelegate</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />

Namespace: KIO<br />
<h2>Detailed Description</h2>

<p>A UI delegate tuned to be used with KIO Jobs.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj191480108">ConfirmationType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;DefaultConfirmation, ForceConfirmation&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj191394060">DeletionType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Delete, Trash&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195335020">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj172847980">askDeleteConfirmation</a> (self, <a href="../kdecore/KUrl.List.html">KUrl.List</a> urls, KIO.JobUiDelegate.DeletionType deletionType, KIO.JobUiDelegate.ConfirmationType confirmationType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KIO.RenameDialog_Result&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191393964">askFileRename</a> (self, <a href="../kdecore/KJob.html">KJob</a> job, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> src, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> dest, KIO.RenameDialog_Mode mode, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> newDest, KIO.filesize_t sizeSrc=-1, KIO.filesize_t sizeDest=-1, time_t ctimeSrc=-1, time_t ctimeDest=-1, time_t mtimeSrc=-1, time_t mtimeDest=-1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KIO.SkipDialog_Result&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191482828">askSkip</a> (self, <a href="../kdecore/KJob.html">KJob</a> job, bool multi, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error_text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191394092">setWindow</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> window)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj195335020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Constructs a new KIO Job UI delegate.
</p></div></div><a class="anchor" name="obj172847980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool askDeleteConfirmation</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td>
<td class="paramname"><em>urls</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.JobUiDelegate.DeletionType&nbsp;</td>
<td class="paramname"><em>deletionType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.JobUiDelegate.ConfirmationType&nbsp;</td>
<td class="paramname"><em>confirmationType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Ask for confirmation before deleting/trashing <b>urls.</b>
</p>
<p>
Note that this method is not called automatically by KIO jobs. It's the application's
responsibility to ask the user for confirmation before calling KIO.del() or KIO.trash().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>urls</em>&nbsp;</td><td> the urls about to be deleted/trashed

<tr><td></td><td valign="top"><em>method</em>&nbsp;</td><td> the type of deletion (Delete for real deletion, Trash otherwise)

<tr><td></td><td valign="top"><em>confirmation</em>&nbsp;</td><td> see ConfirmationType. Normally set to DefaultConfirmation.
Note: the window passed to setWindow is used as the parent for the message box.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if confirmed
</dd></dl>
</p></div></div><a class="anchor" name="obj191393964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KIO.RenameDialog_Result askFileRename</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>src</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>dest</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.RenameDialog_Mode&nbsp;</td>
<td class="paramname"><em>mode</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>newDest</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.filesize_t&nbsp;</td>
<td class="paramname"><em>sizeSrc=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.filesize_t&nbsp;</td>
<td class="paramname"><em>sizeDest=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>ctimeSrc=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>ctimeDest=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>mtimeSrc=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>mtimeDest=-1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIO.RenameDialog
Construct a modal, parent-less "rename" dialog, and return
a result code, as well as the new dest. Much easier to use than the
class RenameDialog directly.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> the caption for the dialog box

<tr><td></td><td valign="top"><em>src</em>&nbsp;</td><td> the URL of the file/dir we're trying to copy, as it's part of the text message

<tr><td></td><td valign="top"><em>dest</em>&nbsp;</td><td> the URL of the destination file/dir, i.e. the one that already exists

<tr><td></td><td valign="top"><em>mode</em>&nbsp;</td><td> parameters for the dialog (which buttons to show...),
see RenameDialog_Mode

<tr><td></td><td valign="top"><em>newDestPath</em>&nbsp;</td><td> the new destination path, valid if R_RENAME was returned.

<tr><td></td><td valign="top"><em>sizeSrc</em>&nbsp;</td><td> size of source file

<tr><td></td><td valign="top"><em>sizeDest</em>&nbsp;</td><td> size of destination file

<tr><td></td><td valign="top"><em>ctimeSrc</em>&nbsp;</td><td> creation time of source file

<tr><td></td><td valign="top"><em>ctimeDest</em>&nbsp;</td><td> creation time of destination file

<tr><td></td><td valign="top"><em>mtimeSrc</em>&nbsp;</td><td> modification time of source file

<tr><td></td><td valign="top"><em>mtimeDest</em>&nbsp;</td><td> modification time of destination file
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the result
</dd></dl>
</p></div></div><a class="anchor" name="obj191482828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KIO.SkipDialog_Result askSkip</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>multi</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error_text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
See skipdialog.h
</dd></dl>
</p></div></div><a class="anchor" name="obj191394092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setWindow</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>window</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Associate this job with a window given by <b>window.</b>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>window</em>&nbsp;</td><td> the window to associate to
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> window()
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj191480108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ConfirmationType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>ForceConfirmation: always ask the user for confirmation
DefaultConfirmation: don't ask the user if he/she said "don't ask again".
</p>
<p>
Used by askDeleteConfirmation.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>DefaultConfirmation</em>&nbsp;</td><td><tr><td valign="top"><em>ForceConfirmation</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj191394060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">DeletionType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The type of deletion: real deletion, or moving the files to the trash
Used by askDeleteConfirmation.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Delete</em>&nbsp;</td><td><tr><td valign="top"><em>Trash</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
